Skip to main content
GET
/
builders
/
{id}
/
projects
cURL
curl --request GET \
  --url https://api.buildpass.global/builders/{id}/projects \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "proj_clgbsb90b001qjy0f0eo1hspp",
      "status": "UPCOMING",
      "createdAt": "2023-10-03T23:19:35.771Z",
      "updatedAt": "2023-10-03T23:19:35.771Z",
      "name": "Downtown Mall Construction",
      "integrations": [
        {
          "type": "PROCORE",
          "sourceId": "1234567890",
          "companyId": "1234567890"
        }
      ]
    }
  ],
  "meta": {
    "totalCount": 100,
    "totalPages": 4,
    "offset": 0,
    "limit": 25
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required
Example:

"buil_clgbsb90b001qjy0f0eo1hspp"

Query Parameters

offset
integer
default:0

The number of items to skip before starting to collect the result set

Example:

0

limit
integer
default:25

The number of items to return.

Required range: x <= 25
Example:

25

Response

200 - application/json

A list of projects

data
object[]
meta
object